function init() {
    drawTherm("Temp1", 68);

    showNewFilter(allFilter, 'none');
    showNewFilter(precipFilter, '');

    wind();

    theGraphic = document.getElementById("temp");
}

// Canvas Thermometer
var segment = new Image();
segment.src = "therm.png";

function drawTherm(ElementID, rating) {
    var canvas = document.getElementById(ElementID);
    var ctx = canvas.getContext("2d");

    for (var x = 0; x < rating; x += 10) {
        ctx.drawImage(segment, x, 0, 10, 10);
    }
}


// Temperature scale fading


var intendedOpacity = 1.000;
var theGraphic/* = document.getElementById("temp")*/;
var Cel = 1;

function fadeOutIn() {

    var fading = 0;
    if (fading == 0) {
        fading = 1;
        fadeOut();
    }
}

function fadeOut() {

    if (typeof theGraphic.style.opacity == 'undefined') {
        intendedOpacity = 0;
        theGraphic.style.visibility = "hidden";
        return;
    }

    if (intendedOpacity > 0.0) {
        intendedOpacity = Math.max(intendedOpacity - 0.025, 0);
        // don't let us get below zero
        theGraphic.style.opacity = intendedOpacity;
        window.setTimeout(fadeOut, 10);
    }
    else {
        if (Cel == 1) {
            document.getElementById("temp").innerHTML = "68&deg;F";
            Cel = 0;
        }
        else {
            document.getElementById("temp").innerHTML = "20&deg;C";
            Cel = 1;
        }
        fadeIn();
    }
}

function fadeIn() {
    if (typeof theGraphic.style.opacity == 'undefined') {
        intendedOpacity = 0;
        theGraphic.style.visibility = "visible";
        return;
    }

    if (intendedOpacity < 1.0) {
        intendedOpacity = Math.min(intendedOpacity + 0.025, 1);
        // some browsers reject values over one
        theGraphic.style.opacity = intendedOpacity;
        window.setTimeout(fadeIn, 10);
    }
    else {
        fading = 0;
    }
}

function showNewFilter(filter, display) {
    var forecastList = document.getElementById("Forecast");
    var nodeIterator = document.createNodeIterator(
        forecastList,
        NodeFilter.SHOW_ELEMENT,
        filter,
        false
    );
    var node = nodeIterator.nextNode();
    node.style.display = '';

    while (node = nodeIterator.nextNode()) {
        node.style.display = display;
    }
}

if (!NodeFilter) {
    var NodeFilter = new Object();

    NodeFilter.SHOW_ELEMENT = 1;
    NodeFilter.FILTER_ACCEPT = 1;
    NodeFilter.FILTER_REJECT = 2;
    NodeFilter.FILTER_SKIP = 3;
}

function allFilter(node) {
    return NodeFilter.FILTER_ACCEPT;
}

function forecastFilter(node, forecastType) {
    var result;

    if (node.nodeName == 'TD') {
        if (node.title == forecastType)
            result = NodeFilter.FILTER_ACCEPT;
        else
            result = NodeFilter.FILTER_REJECT;
    }
    else
        result = NodeFilter.FILTER_ACCEPT;

    return result;
}


function precipFilter(node) {
    return forecastFilter(node, "precip");
}

function sunFilter(node) {
    return forecastFilter(node, "riseset");
}


// Wind compass

var windDirection = 0;

function wind() {
    var compass = document.getElementById("wind");

    windDirection += Math.floor(Math.random() * 11) - 5
    compass.setAttribute("transform",
      "rotate(" + windDirection + ", 25, 25)");
    window.setTimeout(wind, 500);
}

function perfMetrics() {
    var perfList = "<ul>";

    perfList += "<li>Navigation: " + window.msPerformance.timingMeasures.navigation + "ms</li>";
    perfList += "<li>Request: " + window.msPerformance.timingMeasures.request + "ms</li>";
    perfList += "<li>Request count: " + window.msPerformance.navigation.requestCount + "</li>";
    perfList += "</ul>";

    document.getElementById("perfStats").innerHTML = perfList;

}
