﻿if (!strings) {
    var strings = {
        "ERROR": "failed to load strings"
    };
}

$(document).ready(function() {
    $("#showMe").click(function(event) {
        event.preventDefault();
        event.stopPropagation();
        $.get("assets/answers.html", function(data) {
            $("#answers").html(data).show();
        });
    });


    $("#searchBox").focus(function() {
        $(this).val("");
    });

    $("#searchBox").blur(function() {
        if (strings.SEARCH) {
            $(this).val(strings.SEARCH);
        }
        else {
            $(this).val(strings.ERROR);
        }
    });

    $("#searchBox").keypress(function(e) {
        var query = $(this).val();
        var charPressed = "";
        if (e.which) {
            charPressed = String.fromCharCode(e.which);
        }
        else if (window.event) {
            charPressed = String.fromCharCode(window.event.keyCode);
        }
        query += charPressed;
        $("#waitDiv").show();
        var appId = "1EE02D31193DBFF38A965D3FB35645C9FB6B9078";
        var url = "http://api.bing.net/json.aspx?";
        // Common request fields (required)
        url += "AppId=" + appId;
        url += "&Query=" + query;
        url += "&Sources=Image";

        // Common request fields (optional)
        url += "&Version=2.0";
        url += "&Market=en-us";
        url += "&Adult=Strict";

        // Image-specific request fields (optional)
        url += "&Image.Count=10";
        url += "&Image.Offset=0";

        // JSON-specific request fields (optional)
        url += "&JsonType=callback";
        url += "&JsonCallback=?";
        $.getJSON(url, function(response) {
            $("#waitDiv").hide();
            if (response && response.SearchResponse && response.SearchResponse.Image && response.SearchResponse.Image.Results) {
                $("#resultsContainer").html("");
                $.each(response.SearchResponse.Image.Results, function(i, item) {
                    $("<img/>").attr("src", item.Thumbnail.Url).appendTo("#resultsContainer");
                });
            }
            else {
                $("#resultsContainer").html(strings.NOITEMS);
            }
        });
    });
});