﻿//  This file should contain any JavaScript needed for this demo only. If you have script shared between
//  two or more demos, create a separate .js file, place it in the script directory at the directory
//  level above, and link to it using the demo.xml file.
//
//  This will be the last JavaScript file linked in the resulting page. It may depend on linked JS
//  but linked JS may not depend on things defined here.
//
//  If you have no script for your demo, please delete this file from your demo's directory.
//


var bdStyle = "none";
var bdColor = "white";

var errorMessage = "oops, there was a script error.";

	
function setNewBorderValues(newStyle, newColor, newRadius) { 
	bdStyle = newStyle;
	bdColor = newColor;
	bdRadius = newRadius;

	//set the border style on all boxes
	changeBoxes('border-style', bdStyle);
	
	//set the border color on all boxes
	changeBoxes('border-color', bdColor);
	
	//set the border-radius on all boxes
	changeBoxes('border-radius', bdRadius); 
	}
	
function changeBoxes(pProperty, pValue) { 
	changeType1(pProperty, pValue);
	changeType2(pProperty, pValue);
	changeType3(pProperty, pValue);
	changeType4(pProperty, pValue);
	changeType5(pProperty, pValue); 
	resetRemoveBoxes(pProperty, pValue);

	}
		
	

function changeType1(property, value ) { 
	// change the background color by changing the element's style object
	var box = document.getElementById("box1");
	try { 
		if (property == "background-color") { 
			box.style.backgroundColor = value;
			}
		if (property == "border-color") {
			box.style.borderColor = value;
			}
		if (property == "border-style") { 
			box.style.borderStyle = value;
			}
			
		if (property == "border-radius") { 
			box.style.borderRadius = value;
			}
		}
	catch(err) { 
			box.style.background = "white";
			box.innerHTML=errorMessage;
		}
	}
	
function changeType2(property, value) { 
	//change the background color using the setProperty function off the style declaration
	var box = document.getElementById("box2");
	try { 
		box.style.setProperty(property, value, "");
		}
	catch (err) { 
		box.style.background = "white";
		box.innerHTML=errorMessage;
		}

	} 
	

function changeType3(property, value) { 
	// change the background color by adding a rule to the style sheet using insertRule
	var box = document.getElementById("box3");
	var sheet = getSheet("inlinecss");
	var cssText = "#box3 { " + property + ":" + value + "}"; 
	
	try { 
			var placement = sheet.cssRules.length;
			sheet.insertRule(cssText, placement); 
		} 
	catch (err) {
		box.style.background = "white";
		box.innerHTML=errorMessage;
		}
		
	}
	

function changeType4(property, value ) { 
	// change the background color by changing the element's style object
	var box = document.getElementById("box4");
	var rule; 
	var sheet = getSheet("style45");
	try { 
		rule = sheet.cssRules[0];
	} catch (err) { 
		rule = sheet.rules[0];
	}
	try { 
		if (property == "background-color") { 
			rule.style.backgroundColor = value;
			}
		if (property == "border-color") {
			rule.style.borderColor = value;
			}
		if (property == "border-style") { 
			rule.style.borderStyle = value;
			}
		if (property == "border-radius") { 
			rule.style.borderRadius = value;
			}
		}
	catch(err) { 
			box.style.background = "white";
			box.innerHTML=errorMessage;
		}
	}
	
function changeType5(property, value) { 
	//change the background color using the setProperty function off a rule's  style declaration
	var box = document.getElementById("box5");
	var rule; 
	var sheet = getSheet("style45");
	try { 
		rule = sheet.cssRules[1];
	} catch (err) { 
		rule = sheet.rules[1];
	}
	try { 
		rule.style.setProperty(property, value, "");
		}
	catch (err) { 
		box.style.background = "white";
		box.innerHTML=errorMessage;
		}

	} 
	




function resetRemoveBoxes(property, value) { 
		var box6 = document.getElementById("box6");
		var box7 = document.getElementById("box7");
		var box8 = document.getElementById("box8");
		var sheet = getSheet("style8");
		var newRule = "#box8 { " + property + ":" + value + "}";
		
		try { 
			sheet.insertRule(newRule, sheet.cssRules.length);
		} catch(err){
			sheet.addRule("#box8", property+":"+value);
		}
			
		if (property == "background-color") { 
			box6.style.backgroundColor = value;
			box7.style.backgroundColor = value;
			}
		if (property == "border-color") {
			box6.style.borderColor = value;
			box7.style.borderColor = value;
			}
		if (property == "border-style") { 
			box6.style.borderStyle = value;
			box7.style.borderStyle = value;
			}
		if (property == "border-radius") { 
			box6.style.borderRadius = value;
			box7.style.borderRadius = value;
			}
				
}

function removeStyle6() {
	//change the style by using the removeProperty function off the style Declartion
	var box = document.getElementById("box6");
	try{ 
		box.style.backgroundColor = "";
		box.style.borderColor = "";
		box.style.borderWidth= "";
		box.style.borderStyle = "";
		box.style.borderRadius = "";
		
	}
	catch(err) { 
		box.style.backgroundColor = "white";
		box.innerHTML = errorMessage;
	}
}


	
function removeStyle7() {
	//change the style by using the removeProperty function off the style Declartion
	var box = document.getElementById("box7");
	try{ 
		box.style.removeProperty("background-color");
		box.style.removeProperty("border-color");
		box.style.removeProperty("border-width");
		box.style.removeProperty("border-style");
		box.style.removeProperty("border-radius");
	}
	catch(err) { 
		box.style.backgroundColor = "white";
		box.innerHTML = errorMessage;
	}
}

function removeStyle8() {
	//change the style by removing a rule from the style sheet using deleteRule
	var box = document.getElementById("box8");
	var sheet = getSheet("style8");
	var numRules = "0";

	try { 
		numRules = sheet.cssRules.length;
		for (i=numRules; i> 0; i--) { 
			sheet.deleteRule(i-1);
		}
		}
	catch (err) { 
		box.style.backgroundColor = "white";
		box.innerHTML = errorMessage;
	}

}

function getSheet(name) { 
	var i = 0;
	var sheet = null;
	while ((sheet == null) && (i < document.styleSheets.length)) { 
		if (document.styleSheets[i].id == name) { 
			sheet = document.styleSheets[i];
		}
		i++;
	}
	
	if (sheet == null) { 
		try {
			sheet = document.getElementById(name).sheet;
		} catch (errr) {}
	}
	
	return sheet;
	
}
